param starttime default 0;
param runtime default 0;
option solver bnb;
option bnb_options '--presolve 1 --bnb_time_limit 36000';

let starttime:= time();
#model DistrGen_MINLP.mod; data LA_Hotel_MINLP_1.dat; solve;
#model DistrGen_MINLP.mod; data LA_Hotel_MINLP_2.dat; solve;
#model DistrGen_MINLP.mod; data LA_Hotel_MINLP_4.dat; solve;
#model DistrGen_MINLP.mod; data LA_Hotel_MINLP_7.dat; solve;
#model DistrGen_MINLP.mod; data LA_Hotel_MINLP_31.dat; solve;
model DistrGen_MINLP.mod; data LA_Hotel_MINLP_365.dat; solve;
let runtime:= time() - starttime;

display runtime,minlp_cost,mGA,mHA,mVA,mSA,mWA,mWB,mE,mGN,mGY,mGE,mGNG,mP,mHN,mHY,mHE,mHNG,mCP,mV,mSC,mCR,mDR,mEP,mES,mW,mWX,mWY,mWD,mWC,mBNG>minlp_1.out;
